Subject: Re: [PATCH] config doc: improve exit code listing

From: Ramsay Jones <[email-masked]>
Date: Tue, 26 Apr 2016 20:41:30 +0100

On 26/04/16 20:18, Stefan Beller wrote:
> On Tue, Apr 26, 2016 at 12:11 PM, Ramsay Jones
> <[email-masked]> wrote:
>>
>>
>> On 26/04/16 19:10, Stefan Beller wrote:
>>> The possible reasons for exiting are now ordered by the exit code value.
>>> While at it, rewrite the `can not write to the config file` to
>>> `the config file cannot be written` to be grammatically correct and a
>>> proper sentence.
>>>
>>> Signed-off-by: Stefan Beller <[email-masked]>
>>> ---
>>>  Documentation/git-config.txt | 6 +++---
>>>  1 file changed, 3 insertions(+), 3 deletions(-)
>>>
>>> diff --git a/Documentation/git-config.txt b/Documentation/git-config.txt
>>> index 6fc08e3..6843114 100644
>>> --- a/Documentation/git-config.txt
>>> +++ b/Documentation/git-config.txt
>>> @@ -58,10 +58,10 @@ that location (you can say '--local' but that is the default).
>>>  This command will fail with non-zero status upon error.  Some exit
>>>  codes are:
>>>
>>> -- The config file is invalid (ret=3),
>>      ^
>> I don't see why this is capitalised, so ...
> 
> Because the whole listing is a bunch of sentences,
> stringed together with commas at the end of each line.
> Note that there is a ',' at the end of each line, except for
> the last, where you see a '.'.

Heh, I hadn't noticed the commas, no - I assumed periods.

>                                 I thought about breaking that
> up into a list and make all of the bullet points either a sentence
> (all capitalised and ending in dot) or part sentences (lower
> case for each bullet point, not clear about the ending)

That's probably what I would have done.

> I kept it as is in a long sentence as I expected to see
> lowest resistance there. ;)

'One long sentence' split into a bullet/numbered list is err ...
Hmm, I'm lost for words. ;-)

>> Only a minor point.
> 
> If the current state bothers you too much,
> please send a patch with correct lists. :)
> (Feel free to squash this patch into that or
> just on top of this)

Having said all that, (since I have very few documentation
skills), I will leave this for others to improve, if
necessary.

ATB,
Ramsay Jones